'''ПОМНИМ ЧТО ОБЪЕДИНЕНИЕ ЭТО ВСЕ ТОЧКИ (НЕ ЗАБУДЬ ВЫЧЕСТЬ ПОЛЕ КОТОРОЕ СЧИТАЛ 2 РАЗА'''
''' ПЕРЕСЕЧЕНИЕ ЭТО ТАМ ГДЕ 2 ФИГУРЫ ПЕРЕСЕКАЮТСЯ'''


from turtle import *
tracer(0) #отключаем анимацию
m = 15 #масштаб

#ниже переписываем алгоритм из задачи
for i in range(4):
    fd(3 * m)
    lt(270)
    fd(5*m)
    rt(90)
lt(270)
for i in range(3):
    fd(5*m)
    rt(90)
    fd(3*m)
    lt(270)

#рисуем сетку с точками
up()
for x in range(-20,20):
    for y in range(-20,20):
        goto(x*m,y*m)
        dot(3,"red")
update()
exitonclick() #выход по нажатию
done() #если exit не работает 


ПЛОЩАДЬ И ПЕРИМЕТР - СЧИТАЕМ ОТРЕЗКИ!!! (Кол-во точек минус 1)